Package de.willuhn.jameica.hbci.synchronize.hbci

# Class HBCISynchronizeJobProviderKontoauszugPdf

java.lang.Object
de.willuhn.jameica.hbci.synchronize.hbci.AbstractHBCISynchronizeJobProvider
de.willuhn.jameica.hbci.synchronize.hbci.HBCISynchronizeJobProviderKontoauszugPdf

All Implemented Interfaces:
  `HBCISynchronizeJobProvider`, `SynchronizeJobProvider`, `Comparable`

@Lifecycle(CONTEXT) public class HBCISynchronizeJobProviderKontoauszugPdf extends AbstractHBCISynchronizeJobProvider
Implementierung eines Job-Providers fuer das Abrufen der Kontoauszuege im PDF-Format.

## Constructor Summary

Constructors
Constructor
Description
`HBCISynchronizeJobProviderKontoauszugPdf()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object o)`
`List<Class<? extends SynchronizeJob>>`
`getJobTypes()`
Liefert eine Liste der implementierenden Klassen der Jobs, die dieser Provider unterstuetzt.
`List<SynchronizeJob>`
`getSynchronizeJobs(Konto k)`
Liefert eine Liste der auszufuehrenden Synchronisierungsjobs auf dem angegebenen Konto.
`boolean`
`supports(Class<? extends SynchronizeJob> type, Konto k)`
Prueft, ob der Job-Provider diesen Job fuer das angegebene Konto beherrscht.

### Methods inherited from class de.willuhn.jameica.hbci.synchronize.hbci.AbstractHBCISynchronizeJobProvider

`getPropertyNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCISynchronizeJobProviderKontoauszugPdf

public HBCISynchronizeJobProviderKontoauszugPdf()

## Method Details

### getSynchronizeJobs

public List<SynchronizeJob> getSynchronizeJobs(Konto k)
Description copied from interface: `SynchronizeJobProvider`
Liefert eine Liste der auszufuehrenden Synchronisierungsjobs auf dem angegebenen Konto.

Parameters:
  `k` - das Konto. Wenn kein Konto angegeben ist, werden die Jobs aller Konten zurueckgeliefert.
Returns:
  Liste der auszufuehrenden Jobs.

### supports

public boolean supports(Class<? extends SynchronizeJob> type, Konto k)
Description copied from interface: `SynchronizeJobProvider`
Prueft, ob der Job-Provider diesen Job fuer das angegebene Konto beherrscht.

Parameters:
  `type` - der Job-Typ.
  `k` - das konkrete Konto.
Returns:
  true, wenn er es beherrscht.

### getJobTypes

public List<Class<? extends SynchronizeJob>> getJobTypes()
Description copied from interface: `SynchronizeJobProvider`
Liefert eine Liste der implementierenden Klassen der Jobs, die dieser Provider unterstuetzt.

Returns:
  Liste der implementierenden Klassen der Jobs des Providers.

### compareTo

public int compareTo(Object o)